Subject: RE: Use of same interface id on multiple interfaces (RFC 2373)

From: Richard Draves <[email-masked]>
Date: Wed, 26 Jul 2000 14:59:42 -0700

There are a couple situations in which you need to take care, when using the
same interface identifier for multiple interfaces.

First, the interfaces might be attached to the same link and then you'll
lose. But at least duplicate address detection will detect the problem.

Second, suppose you are operating in an environment where a global prefix is
spanning multiple links. Then you might form global addresses that are not
unique, and DAD won't detect the problem. (Although an internal check of
your data structures would show the same address assigned to multiple
interfaces.)

Rich

> -----Original Message-----
> From: Steve Deering [mailto:[email-masked]]
> Sent: Wednesday, July 26, 2000 2:20 PM
> To: [email-masked]
> Cc: [email-masked]'
> Subject: Re: Use of same interface id on multiple interfaces 
> (RFC 2373)
> 
> 
> At 4:55 PM +0530 7/26/00, Murali Krishna Ch wrote:
> >Can we use the same Interface id for multiple interfaces?
> >If so what are ISSUES, involved in it?
> >For example, if i have one Ethernet interface and 'n' PPP 
> interfaces, 
> >is it right to use the same linklocal address constructed 
> from Mac Address for **ALL** the 'n'  PPP links?
> >How does it effect the global uniqueness of the address?
> 
> Murali,
> 
> Yes, a node may use the same link-local address on more than attached
> link, and the same site-local address on more than one attached site.
> Link-local and site-local addresses are required to be unique only
> within the set of interfaces attached to a given link or 
> site, respectively.
> 
> The main consequence is that, within a node, any non-global address
> must be accompanied by a zone identifier (or an indication of "default
> zone") to identify the link or site to which it pertains.
> 
> See draft-ipngwg-scoping-arch-01.txt.
> 
> Steve
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------